Method: partners.channels.sites.delete

  • This document outlines how to delete a site from a channel using an HTTP DELETE request.

  • The request requires path parameters for channelId, urlOrAppId, and either partnerId or advertiserId to identify the channel and site.

  • The request body must be empty, and a successful response will also have an empty body.

  • Authorization requires the https://www.googleapis.com/auth/display-video OAuth scope.

Deletes a site from a channel.

HTTP request

DELETE https://displayvideo.googleapis.com/v4/partners/{partnerId}/channels/{channelId}/sites/{urlOrAppId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
channelId

string (int64 format)

Required. The ID of the parent channel to which the site belongs.

urlOrAppId

string

Required. The URL or app ID of the site to delete.

Required. Identifies the DV360 entity that owns the parent channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the partner that owns the parent channel.

End of mutually exclusive fields.

Query parameters

Parameters
Required. Identifies the DV360 entity that owns the parent channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
advertiserId

string (int64 format)

The ID of the advertiser that owns the parent channel.

End of mutually exclusive fields.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.